# Get tax lots by program report Endpoint: GET /reports/account/{AccountIdentifier}/type/tax-lots-by-program Version: 1.0.0-beta Security: bearerToken ## Path parameters: - `AccountIdentifier` (string, required) Account identifier Example: "098B0A25" ## Query parameters: - `include` (string) Comma-separated values from optional response fields ## Response 200 fields (application/json): - `accountIdentifier` (string) - `accountName` (string) - `content` (array) - `content.id` (integer) The unique identifier for the position in the portfolio. A postion is made up of 1 or more Tax Lots. - `content.tags` (array) The name of the tag(s), if used, that are associated with the position. - `content.taxLots` (array) - `content.taxLots.id` (integer) The unique identifier for the tax lot - `content.taxLots.name` (string) The name of the tax lot, normally made up of tax lot type and established date - `content.taxLots.establishedDate` (string) The timestamp for when the tax lot was established, meaning when the transaction that created the tax lot was accepted in XC - `content.taxLots.establishQuantity` (integer) The original quantity of credits that created the tax lot. This value is optional and must be specifically requested when using this call. - `content.taxLots.pricePaid` (object) - `content.taxLots.pricePaid.currency` (string, required) Currency (USD etc...) - `content.taxLots.pricePaid.amount` (number, required) The numeric value of the price - `content.taxLots.availableQuantity` (integer) The quantity available of the tax lot for transfer or retirement - `content.taxLots.encumberedQuantity` (integer) The quantity encumbered of the tax lot on an execution venue integrated with XC - `content.taxLots.unsettledQuantity` (integer) The quantity unsettled of the tax lot. This can represent a quantity that is in a bilateral transaction, buy or sell, that is pending and not yet settled in the registry. - `content.taxLots.estimatedMarketPrice` (number) The estimated price associated with the highest value market this tax lot has a certification with where prices have been uploaded from the CBL Exchange. Optional property. Use include param. - `content.taxLots.estimatedMarketValue` (number) Using the Estimated Market Price, this represents the estimated market value of the tax lot based on the tax lot position quantity. Optional property. Use include param. - `content.taxLots.estimatedGainLoss` (number) Utilizing both Price Paid and Estimated Market Price against tax lot quantity to determine if there was a financial gain or loss for this tax lot. Optional property. Use include param. - `content.taxLots.previousCounterparty` (string) The registry name of the counterparty that transferred the credits of this tax lot to the XC client. This value is optional and must be specifically requested when using this call. - `content.taxLots.externalTradeId` (string) An external trade/transaction identifier as provided by the XC client for this position. This value is optional and must be specifically requested when using this call. - `content.taxLots.dealId` (string) A deal Identifier as provided by the XC client for this position if associated with a forward deal delivery. This value is optional and must be specifically requested when using this call. - `content.instrument` (any) ## Response 401 fields (application/json): - `message` (string) ## Response 500 fields (application/json): - `message` (string)